using System.Text.Json.Serialization;

namespace DoomDeathmatch.Script.Score;

[Serializable]
[JsonSerializable(typeof(ScoreRow))]
public class ScoreRow
{
  [JsonPropertyName("name")]
  [JsonInclude]
  public string Name { get; init; } = "";

  [JsonPropertyName("score")]
  [JsonInclude]
  public int Score { get; init; }
}